| optoMDC

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoKummenberg.registers.MiscSystems.BoardEEPROM Class Reference
Inheritance diagram for optoKummenberg.registers.MiscSystems.BoardEEPROM:

## Public Member Functions
def | __init__ (self, board=None)
def | GetEEPROM (self, index, count)
def | SetEEPROM (self, index, vector)
def | EEPROMLockEnable (self, enable=True)
def | VerifyEEPROM (self, index, vector)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | __init__ (self, int or None channel=None, board=None)
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False, float cmd_delay=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_names (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| lock
| register
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Detailed Description

    Device Functionality - BoardEEPROM Read/Write
    System ID: 0x20

    +--------------------+------+-----------------------------------------------------------------------------------------+
    | Register Name      | Id   | Comment                                                                                 |
    +====================+======+=========================================================================================+
    | lock               | 0x00 | write the key to unlock, anything else to lock.Key value: 0x3f4744f6 (float 0.778396)   |
    +--------------------+------+-----------------------------------------------------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.registers.MiscSystems.BoardEEPROM.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ EEPROMLockEnable()

def optoKummenberg.registers.MiscSystems.BoardEEPROM.EEPROMLockEnable | ( |  | self,
|  |  | enable = `True`
| ) |  |

## ◆ GetEEPROM()

def optoKummenberg.registers.MiscSystems.BoardEEPROM.GetEEPROM | ( |  | self,
|  |  | index,
|  |  | count
| ) |  |

## ◆ help()

def optoKummenberg.registers.MiscSystems.BoardEEPROM.help | ( |  | ) |
| static

## ◆ SetEEPROM()

def optoKummenberg.registers.MiscSystems.BoardEEPROM.SetEEPROM | ( |  | self,
|  |  | index,
|  |  | vector
| ) |  |

## ◆ VerifyEEPROM()

def optoKummenberg.registers.MiscSystems.BoardEEPROM.VerifyEEPROM | ( |  | self,
|  |  | index,
|  |  | vector
| ) |  |

## Member Data Documentation

## ◆ lock

optoKummenberg.registers.MiscSystems.BoardEEPROM.lock

## ◆ name

optoKummenberg.registers.MiscSystems.BoardEEPROM.name

## ◆ register

optoKummenberg.registers.MiscSystems.BoardEEPROM.register

## ◆ sys_id

optoKummenberg.registers.MiscSystems.BoardEEPROM.sys_id

The documentation for this class was generated from the following file:

- C:/Users/johnathon.barhydt/PycharmProjects/138-882-00_optoMDC/src/main/python/optoKummenberg/registers/MiscSystems.py